library Test;

uses
  SysUtils,
  Classes,
  IBEIntfEx,
  Forms,
  Windows,
  Dialogs,
  PluginF in 'PluginF.pas' {DBInfoForm},
  TableInfoF in 'TableInfoF.pas' {TableInfoForm};

{$R *.RES}

procedure CreatePluginForm(Intf : TIBEInterfaceEx);
begin
 
end;

procedure get_db_info(Intf : TIBEInterfaceEx); stdcall;
begin
  OldHandle := Application.Handle;
  ShowDatabaseInfo(Intf);
end;

procedure get_table_info(Intf : TIBEInterfaceEx); stdcall;
begin
  OldHandle := Application.Handle;
  ShowTableInfo(Intf);
end;

procedure get_view_info(Intf : TIBEInterfaceEx); stdcall;
begin
  ShowMessage('Not realized yet.');
end;

procedure get_plugin_info_ex(Intf: TIBEInterfaceEx; PluginInfo: pointer); stdcall;
begin
  with PIBEPluginInfoEx(PluginInfo)^ do
  begin
    PluginName := 'Plugin Demonstration';
    Description := 'No description';
    PlaceMenu := '-10';
    MenuStructure := PChar('CPlugin Demo|B' + #13 +
                           '    CGetting Database Info|Eget_db_info|I3' + #13 +
                           '    CGetting Database Objects Info' + #13 +
                           '        CTable Info | Eget_table_info | I17' + #13 +
                           '        CView Info | Eget_view_info | I18');
  end;
end;

exports
  get_db_info,
  get_table_info,
  get_plugin_info_ex,
  get_view_info;

end.

 